package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.SlgcWaterUnitRecord;

/** 审核记录 Service */
public interface WaterUnitRecordService {
    /**
     * 查询审核记录列表
     *
     * @param unitId 水管单位ID
     * @return 审核记录列表
     */
    public List<SlgcWaterUnitRecord> selectWaterUnitRecordList(String unitId);

    /**
     * 通过ID查询审核记录
     *
     * @param id 主键ID
     * @return 审核记录
     */
    public SlgcWaterUnitRecord selectWaterUnitRecordById(String id);

    /**
     * 新增审核记录
     *
     * @param record 审核记录
     * @return 插入行数
     */
    public int insertWaterUnitRecord(SlgcWaterUnitRecord record);

    /**
     * 修改审核记录
     *
     * @param record 审核记录
     * @return 更新行数
     */
    public int updateWaterUnitRecord(SlgcWaterUnitRecord record);

    /**
     * 删除审核记录
     *
     * @param ids 主键ID数组
     * @return 删除行数
     */
    public int deleteWaterUnitRecordByIds(String[] ids);
}
